<div>
  <div class="d-flex bd-highlight">
    <div class="p-2 w-100 bd-highlight">
      <div>
        <a class="pps-header" style="font-size: 28px;">ความพร้อมด้านการดำเนินการ (Operation)
        </a>
      </div>
      <p class="pps-header_th">
        เพิ่มรายละเอียดเกี่ยวกับความพร้อมด้านการดำเนินการตามหัวข้อด้านล่าง
      </p>
    </div>
    <div class="pt-2 flex-shrink-1 bd-highlight d-flex">
      <div *ngIf="(validate === true || validate === null)">
        <button type="button" class="btn btn-primary saveDraft" (click)="saveDraftData()">
          บันทึกร่างใบคำขอ
        </button>
      </div>

      <!-- <div *ngIf="userRole === 'PO'">
        <button
          type="button"
          class="btn btn-primary sandwork"
          (click)="sandwork()"
        >
          ส่งงาน
        </button>
      </div> -->
    </div>
  </div>

  <div class="alert alert-success" role="alert" [ngStyle]="{ display: saveDraftstatus !== 'success' ? 'none' : '' }">
    <a class="alert-detail"><img src="../../../../../assets/img/checkmark.png" class="icon_checkmark" />
      บันทึกร่างใบคำขอเรียบร้อย</a>
  </div>
</div>
<br />
<!-- =============================================Part Read Only=================================================== -->
<div id="accordion">
  <div class="card">
    <div class="card-header" id="headingOne">
      <div class="d-flex" style="width: 100%; height: 30%;">
        <div class="btn text-header-panel">
          รายละเอียดที่ต้องการนำเสนอในครั้งนี้
        </div>
        <a *ngIf="showData === true" class="btn btn-link" data-toggle="collapse" data-target="#collapseOne"
          aria-expanded="true" aria-controls="collapseOne" (click)="show()">
          แสดงผลเพิ่มเติม
        </a>

        <a *ngIf="showData !== true" class="btn btn-link" data-toggle="collapse" data-target="#collapseOne"
          aria-expanded="true" aria-controls="collapseOne" (click)="show()">
          แสดงผลน้อยลง

        </a>
      </div>
    </div>

    <div id="collapseOne" class="collapse show" aria-labelledby="headingOne">
      <div class="card-body">
        <app-step-five [template_manage]="{ role: null, validate: null, caaStatus: 'show' }"></app-step-five>
        <!-- ----------------------------------------- อัปโหลดเอกสาร -------------------------------------------------- -->
        <div *ngIf="validate === true">
          <div class="typeofcollateral">
            <p class="head-detal">อัปโหลดเอกสาร</p>
            <div class="dropzone">
              <input class="form-control" type="file" #fileDropRef id="fileDropRef" multiple
                (change)="onSelectFile($event)" accept=".doc,.docx,.xml,application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document,
                      application/vnd.openxmlformats-officedocument.presentationml.presentation,application/pdf,
                      application/vnd.openxmlformats-officedocument.spreadsheetml.sheet,
                      .jpg,.png" />
              <img src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px;" />
              <a style="font-size: 18px; color: #00a6e6;"
                for="fileDropRef">&nbsp;เลือกเอกสารที่ต้องการอัปโหลดหรือลากและวางไฟล์เอกสารที่นี่</a>
            </div>
          </div>
          <br />
          <div class="row">
            <div class="table_files">
              <table mat-table [dataSource]="dataSource_file">
                <!-- Position Column -->
                <ng-container matColumnDef="name">
                  <th mat-header-cell *matHeaderCellDef>ชื่อไฟล์</th>
                  <td mat-cell *matCellDef="let element">
                    {{ element.fileName }}
                  </td>
                </ng-container>

                <!-- Name Column -->
                <ng-container matColumnDef="size">
                  <th mat-header-cell *matHeaderCellDef>ขนาดไฟล์</th>
                  <td mat-cell *matCellDef="let element">
                    {{ (element.fileSize / 1024).toFixed(2) + " KB" }}
                  </td>
                </ng-container>

                <!-- Name Column -->
                <ng-container matColumnDef="delete">
                  <th mat-header-cell *matHeaderCellDef></th>
                  <td mat-cell *matCellDef="let element; let index = index">
                    <a class="download_file" *ngIf="downloadfile_by[index] === 'path'"
                      (click)="downloadFile(element.path)">ดาวน์โหลดไฟล์</a>
                    <a class="download_file" *ngIf="downloadfile_by[index] === 'base64'"
                      (click)="downloadFile64(element)">ดาวน์โหลดไฟล์</a>
                    <a class="pipe">|</a>
                    <a class="delete_file" (click)="delete_mutifile(element, index)">ลบไฟล์</a>
                  </td>
                </ng-container>

                <tr mat-header-row *matHeaderRowDef="displayedColumns_file"></tr>
                <tr mat-row *matRowDef="let row; columns: displayedColumns_file"></tr>
              </table>
            </div>
          </div>
          <br />
        </div>
      </div>
    </div>
  </div>
  <!-- ========================================================================================================== -->
  <div *ngFor="let present of listSummaryStep6;let in = index">
    <div class="card">
      <div class="card-header" id="headingTwo_{{in}}">
        <div class="d-flex" style="width: 100%; height: 30%;">
          <div class="btn text-header-panel">
            รายละเอียดที่นำเสนอในครั้งก่อน ({{present.lastReviewDate}})
          </div>
          <a *ngIf="showsearch[in].value  === true" class="btn btn-link" data-toggle="collapse"
            attr.data-target="#collapseTwo_{{in}}" aria-expanded="false" attr.aria-controls="collapseTwo_{{in}}"
            (click)="getSummarNew(in , present.requestId)" (click)="showSearch(in)">
            แสดงผลเพิ่มเติม
          </a>
          <a *ngIf="showsearch[in].value === false" class="btn btn-link" data-toggle="collapse"
            attr.data-target="#collapseTwo_{{in}}" aria-expanded="false" attr.aria-controls="collapseTwo_{{in}}"
            (click)="getSummarNew(in , present.requestId)" (click)="showSearch(in)">
            แสดงผลน้อยลง
          </a>
        </div>
      </div>

      <div id="collapseTwo_{{in}}" class="collapse" attr.aria-labelledby="headingTwo_{{in}}" data-parent="#accordion">
        <div class="card-body">
          <div style="padding-left: 8px;">
            <!-- ----------------------------------------- รายละเอียดในแต่ละกระบวนการ  เเก้ไข -------------------------------------------------- -->
            <div class="row">
              <div class="col-12">
                <div class="d-flex bd-highlight">
                  <div class="w-100 bd-highlight">
                    <p class="head-detal">รายละเอียดในแต่ละกระบวนการ</p>
                  </div>
                  <!-- <div class="flex-shrink-1 bd-highlight">
                  <button class="btn-create-data"><img src="assets/img/plus-icon.png" class="add-icon">
                    เพิ่มข้อมูล</button>
                </div> -->
                </div>
              </div>
              <div class="col-12">
                <hr style="margin-top: 0px; margin-bottom: 10px;" />
              </div>

              <div class="col-12">
                <div class="overflow-auto">
                  <table class="table-proccess table table-striped">
                    <thead>
                      <tr>
                        <th width="18%">กระบวนการ</th>
                        <th width="18%">กระบวนการย่อย</th>
                        <th width="18%">แนวทางการจัดการ</th>
                        <th width="18%">ผู้รับผิดชอบ</th>
                        <th width="18%">วันที่คาดว่าจะแล้วเสร็จ</th>
                        <!-- <th width="10%"></th> -->
                      </tr>
                    </thead>
                    <tbody>
                      <tr *ngFor="let item of stepFive.operations; index as istep">
                        <td style="width: 18%">
                          <div *ngIf="checkStaticTitle(istep); else notStaticType">
                            {{ item.process }}
                          </div>
                          <ng-template #notStaticType>
                            <!-- <input type="text" class="form-control" placeholder="อื่นๆ ระบุ..." [(ngModel)]="item.process"
                            (ngModelChange)="changeSaveDraft()"> -->
                            {{ item.process }}
                          </ng-template>
                        </td>
                        <td colspan="5" class="pd-0">
                          <table class="table-proccess-data">
                            <tr *ngFor="
                              let detailItem of item.detail;
                              index as isup
                            ">
                              <td style="width: 18%;word-break: break-all;" [ngClass]="{
                                td_single: istep % 2 !== 0,
                                td_couple: istep % 2 === 0
                              }">
                                <!-- <img cdkDragHandle class="icongrap" src="assets/img/grip-vertical.svg" alt=""> -->
                                <!-- <input type="text" class="form-control" placeholder="ระบุกระบวนการย่อย"
                                [(ngModel)]="detailItem.subProcess" (ngModelChange)="changeSaveDraft()"> -->
                                {{ detailItem.subProcess }}
                              </td>
                              <td style="width: 18%;word-break: break-all;" [ngClass]="{
                                td_single: istep % 2 !== 0,
                                td_couple: istep % 2 === 0
                              }">
                                <!-- <input
                                type="text"
                                class="form-control"
                                placeholder="ระบุแนวทางการจัดการ"
                                [(ngModel)]="detailItem.management"
                                (ngModelChange)="changeSaveDraft()"
                              /> -->
                                {{detailItem.management}}
                              </td>
                              <td style="width: 18%;word-break: break-all;" [ngClass]="{
                                td_single: istep % 2 !== 0,
                                td_couple: istep % 2 === 0
                              }">
                                <!-- <input
                                type="text"
                                class="form-control"
                                placeholder="ระบุผู้รับผิดชอบ"
                                [(ngModel)]="detailItem.responsible"
                                (ngModelChange)="changeSaveDraft()"
                              /> -->
                                {{detailItem.responsible}}
                              </td>
                              <td style="width: 18%;word-break: break-all;" [ngClass]="{
                                td_single: istep % 2 !== 0,
                                td_couple: istep % 2 === 0
                              }">
                                <div class="input-warpper">
                                  <div class="icon-warpper1">
                                    <!-- <img src="../../../../assets/img/calendar.svg" class="btn-date" (click)="dp.toggleCalendar()"> -->
                                  </div>
                                  <!-- <input
                                  angular-mydatepicker
                                  type="text"
                                  name="myDpOptions"
                                  [(ngModel)]="detailItem.dueDate"
                                  (ngModelChange)="changeSaveDraft()"
                                  class="form-control"
                                  placeholder="กรุณาเลือกวันที่"
                                  [options]="myDpOptions"
                                  #dp="angular-mydatepicker"
                                  (click)="dp.toggleCalendar()"
                                /> -->
                                  {{date[istep]}}
                                </div>
                              </td>
                              <!-- <td style=" width: 10% "><span class="delete-data"
                                (click)="removeDataItem(istep , isup)">ลบข้อมูล</span></td> -->
                            </tr>
                          </table>
                        </td>
                      </tr>
                    </tbody>
                  </table>
                </div>
              </div>
            </div>
            <br>
            <!-- ----------------------------------------- อัปโหลดเอกสาร -------------------------------------------------- -->
            <div>
              <label style="
                color: #999999;
                font-family: Prompt;
                font-size: 18px;
                font-weight: 500;
                letter-spacing: 0;
                line-height: 28px;
              ">ไฟล์เอกสารเพิ่มเติม</label>
              <br />
              <div class="row">
                <div class="col-12 table_files">
                  <table mat-table [dataSource]="dataSource_file_summary">
                    <!-- Position Column -->
                    <ng-container matColumnDef="name">
                      <th mat-header-cell *matHeaderCellDef>ชื่อไฟล์</th>
                      <td mat-cell *matCellDef="let element">
                        {{ element.fileName }}
                      </td>
                    </ng-container>

                    <!-- Name Column -->
                    <ng-container matColumnDef="size">
                      <th mat-header-cell *matHeaderCellDef>ขนาดไฟล์</th>
                      <td mat-cell *matCellDef="let element">
                        {{ (element.fileSize / 1024).toFixed(2) + " KB" }}
                      </td>
                    </ng-container>

                    <!-- Name Column -->
                    <ng-container matColumnDef="download">
                      <th mat-header-cell *matHeaderCellDef></th>
                      <td mat-cell *matCellDef="let element; let index = index">
                        <a class="download_file" (click)="downloadFile(element.path)">ดาวน์โหลดไฟล์</a>
                      </td>
                    </ng-container>

                    <tr mat-header-row *matHeaderRowDef="displayedColumns_file_summary"></tr>
                    <tr mat-row *matRowDef="let row; columns: displayedColumns_file_summary"></tr>
                  </table>
                </div>
              </div>
            </div>
            <!-- ============================================================================================= -->
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

<div *ngIf="(validate === true || validate === null) ">
  <br />
  <br />
  <div class="row">
    <div class="col-12">
      <button class="btn btn-outline-secondary button-next" type="button" (click)="next_step()">
        ถัดไป
      </button>
    </div>
  </div>
  <br />
  <br />
</div>

<div class="row" *ngIf="validate === false">
  <div class="col-12">
    <button class="btn btn-outline-secondary button-next" type="button" (click)="viewNext()">ถัดไป</button>
  </div>
</div>
<br>